<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.api.file (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.api.file (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/execution/package-summary.html">Prev Package</a></li>
<li><a href="../../../../org/gradle/api/initialization/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<p><a href="../../../../org/gradle/api/NonNullApi.html" title="annotation in org.gradle.api">@NonNullApi</a>
</p>
<h1 title="Package" class="title">Package&nbsp;org.gradle.api.file</h1>
<div class="docSummary">
<div class="block">Classes for working with files.</div>
</div>
<p>See:&nbsp;<a href="#package_description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/ConfigurableFileCollection.html" title="interface in org.gradle.api.file">ConfigurableFileCollection</a></td>
<td class="colLast">
<div class="block">A <code>ConfigurableFileCollection</code> is a mutable <code>FileCollection</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/ConfigurableFileTree.html" title="interface in org.gradle.api.file">ConfigurableFileTree</a></td>
<td class="colLast">
<div class="block">A <a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file"><code>FileTree</code></a> with a single base directory, which can be configured and modified.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/ContentFilterable.html" title="interface in org.gradle.api.file">ContentFilterable</a></td>
<td class="colLast">
<div class="block">Represents some binary resource whose content can be filtered.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/CopyProcessingSpec.html" title="interface in org.gradle.api.file">CopyProcessingSpec</a></td>
<td class="colLast">
<div class="block">Specifies the destination of a copy.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/CopySourceSpec.html" title="interface in org.gradle.api.file">CopySourceSpec</a></td>
<td class="colLast">
<div class="block">Specifies sources for a file copy.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/CopySpec.html" title="interface in org.gradle.api.file">CopySpec</a></td>
<td class="colLast">
<div class="block">A set of specifications for copying files.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/DeleteSpec.html" title="interface in org.gradle.api.file">DeleteSpec</a></td>
<td class="colLast">
<div class="block">A specification for deleting files from the filesystem.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/Directory.html" title="interface in org.gradle.api.file">Directory</a></td>
<td class="colLast">
<div class="block">Represents a directory at some fixed location on the file system.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/DirectoryTree.html" title="interface in org.gradle.api.file">DirectoryTree</a></td>
<td class="colLast">
<div class="block">A directory with some associated include and exclude patterns.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/DirectoryVar.html" title="interface in org.gradle.api.file">DirectoryVar</a></td>
<td class="colLast">
<div class="block">Represents some configurable directory location, whose value is mutable and is not necessarily currently known until later.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></td>
<td class="colLast">
<div class="block">A <code>FileCollection</code> represents a collection of files which you can query in certain ways.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/FileCopyDetails.html" title="interface in org.gradle.api.file">FileCopyDetails</a></td>
<td class="colLast">
<div class="block">Provides details about a file or directory about to be copied, and allows some aspects of the destination file to
 be modified.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/FileSystemLocation.html" title="interface in org.gradle.api.file">FileSystemLocation</a></td>
<td class="colLast">
<div class="block">Represents some immutable location on the file system.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a></td>
<td class="colLast">
<div class="block">A <code>FileTree</code> represents a hierarchy of files.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file">FileTreeElement</a></td>
<td class="colLast">
<div class="block">Information about a file in a <a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file"><code>FileTree</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/FileVisitDetails.html" title="interface in org.gradle.api.file">FileVisitDetails</a></td>
<td class="colLast">
<div class="block">Provides access to details about a file or directory being visited by a <a href="../../../../org/gradle/api/file/FileVisitor.html" title="interface in org.gradle.api.file"><code>FileVisitor</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/FileVisitor.html" title="interface in org.gradle.api.file">FileVisitor</a></td>
<td class="colLast">
<div class="block">A <code>FileVisitor</code> is used to visit each of the files in a <a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file"><code>FileTree</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/ProjectLayout.html" title="interface in org.gradle.api.file">ProjectLayout</a></td>
<td class="colLast">
<div class="block">Provides access to several important locations for a project.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/RegularFile.html" title="interface in org.gradle.api.file">RegularFile</a></td>
<td class="colLast">
<div class="block">Represents a regular file at a fixed location on the file system.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/RegularFileVar.html" title="interface in org.gradle.api.file">RegularFileVar</a></td>
<td class="colLast">
<div class="block">Represents some configurable regular file location, whose value is mutable and not necessarily currently known until later.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/ReproducibleFileVisitor.html" title="interface in org.gradle.api.file">ReproducibleFileVisitor</a></td>
<td class="colLast">
<div class="block">Visitor which can request a reproducible file order.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a></td>
<td class="colLast">
<div class="block">A <code>SourceDirectorySet</code> represents a set of source files composed from a set of source directories, along
 with associated include and exclude patterns.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/EmptyFileVisitor.html" title="class in org.gradle.api.file">EmptyFileVisitor</a></td>
<td class="colLast">
<div class="block">The EmptyFileVisitor can be extends by implementations that only require to implement one of the 2 visit methods
 (dir or file).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/RelativePath.html" title="class in org.gradle.api.file">RelativePath</a></td>
<td class="colLast">
<div class="block">Represents a relative path from some base directory to a file.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/DuplicatesStrategy.html" title="enum in org.gradle.api.file">DuplicatesStrategy</a></td>
<td class="colLast">
<div class="block">Strategies for dealing with the potential creation of duplicate files for or archive entries.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/FileCollection.AntType.html" title="enum in org.gradle.api.file">FileCollection.AntType</a></td>
<td class="colLast">
<div class="block">Ant types which a <code>FileCollection</code> can be mapped to.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/DuplicateFileCopyingException.html" title="class in org.gradle.api.file">DuplicateFileCopyingException</a></td>
<td class="colLast">
<div class="block">Thrown when more than one file with the same relative path name is to be copied
 and the <a href="../../../../org/gradle/api/file/DuplicatesStrategy.html" title="enum in org.gradle.api.file"><code>DuplicatesStrategy</code></a> is set to DuplicatesStrategy.FAIL</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/file/UnableToDeleteFileException.html" title="class in org.gradle.api.file">UnableToDeleteFileException</a></td>
<td class="colLast">
<div class="block">Thrown by Gradle when it is unable to delete a file.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package_description">
<!--   -->
</a>
<h2 title="Package org.gradle.api.file Description">Package org.gradle.api.file Description</h2>
<div class="block">Classes for working with files.</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/execution/package-summary.html">Prev Package</a></li>
<li><a href="../../../../org/gradle/api/initialization/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
